import { css } from "@emotion/react";
import { mq } from "./style-predefines";

export const globalStyle = (theme) =>
  css`
    :root {
      color-scheme: light dark;
      font-family: Inter, Avenir, Helvetica, Arial, sans-serif;
      font-size: 0.625;
      font-synthesis: none;
      text-rendering: optimizeLegibility;
      -webkit-font-smoothing: antialiased;
      -moz-osx-font-smoothing: grayscale;
      -webkit-text-size-adjust: 100%;
      background-color: ${theme.backgroundColor.light};
      overflow: hidden;
      ${mq.dark} {
        background-color: ${theme.backgroundColor.dark};
      }
    }
  `;
